---

- name: desktop packages
  apt:
    pkg: "{{ item }}"
  with_items:
    - xfce4
    - task-desktop
    - task-xfce-desktop
    - task-german
    - task-german-desktop
    - eog
    - dmz-cursor-theme
    - gnome-brave-icon-theme
    - gnome-dust-icon-theme
    - gnome-human-icon-theme
    - gnome-icon-theme
    - gnome-icon-theme-extras
    - gnome-icon-theme-gartoon
    - gnome-icon-theme-nuovo
    - gnome-icon-theme-suede
    - gnome-icon-theme-symbolic
    - gnome-icon-theme-yasis
    - gnome-illustrious-icon-theme
    - gnome-noble-icon-theme
    - gnome-wine-icon-theme
    - gnome-wise-icon-theme
    - xfonts-terminus
    - gvfs
    - gvfs-backends
    - gvfs-bin
    - gvfs-fuse

- name: xdg config
  copy:
    src: xdg/
    dest: /etc/xdg/

- name: xfce panel config
  template:
    src: xfce4-panel.xml.j2
    dest: /etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml

- name: whiskermenu config
  template:
    src: whiskermenu-1.rc.j2
    dest: /etc/xdg/xfce4/panel/whiskermenu-1.rc

- name: xfwm4 config
  template:
    src: xfwm4.xml.j2
    dest: /etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfwm4.xml

- import_tasks: light-locker-settings.yaml
